📘
| Parameter | Description | type | Required | Possible Values |
|---|
| campaignId | The ID of the campaign | integer | Y | A valid campaign ID |
| advertiserId | The ID of the advertiser | integer | Y | Advertiser ID for which the placement option is to be included/excluded |
| Header Name | Description | Required | Values |
|---|
| Authorization | The token will provide you the access to the API. It is same for all advertisers you access through the API. | Y | Please utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide |
| WM_CONSUMER.ID | We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API. | Y | Please use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
| WM_SEC.AUTH_SIGNATURE | Auth signature as an API key. | Y | Use the signature generator code from Getting Started Guide to generate this value |
| WM_SEC.KEY_VERSION | We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API. | Y | 1 |
| WM_CONSUMER.intimestamp | Timestamp for which the auth signature is generated. Use Unix epoch format for the timestamp. | Y | Use the signature generator code from Getting Started Guide to generate this value |
| Content-Type | Format of the message body | Y | application/json |
curl -X GET \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/placements?advertiserId=600001&campaignId=600001' \
--header 'Authorization: Bearer <auth_token>' \
--header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
| Element | Description | Type |
|---|
| placement | For manual (keyword) campaigns, the value of this parameter is- Search Carousel for search page
- Item Buybox for item detail page
- Item Carousel for item detail page
Note: By default, these placements will be excluded for all new and existing campaigns. Users can enable (include) these by using PUT operation.
For campaigns, that have not been updated via PUT requests for placement inclusion/exclusion, GET response will display an empty array. | string |
| status | Indicator of whether the desired placement is included or excluded for the campaign. | string |
[ { "placement": "Item Buybox", "status": "excluded" }
]